Subject: Re: bug#13989: Make Info support footnotes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Mar 2013 05:50:49 +0200

> From: Juri Linkov <[email-masked]>
> Date: Wed, 20 Mar 2013 00:30:21 +0200
> Cc: [email-masked]
> 
> > And it's pretty straightforward to implement:
> 
> But footnotes are still not navigable.  Typing `TAB' should navigate
> to the next/previous footnote as it does for the cross-node references
> and URLs.
> 
> Since adding a footnote regexp to `Info-next-reference' will create
> false positives such as e.g. `TAB' will find plain text "(1)" and "(2)"
> in the node (info "(emacs) Copying"), a better approach would be
> to support text-property links like used in the *Help* buffers where
> links have a special text property that `TAB' (`forward-button')
> searches for to navigate to the next link.
> 
> These two approaches can co-exist in Info, so `TAB' will move point
> to the closest position found either by `re-search-forward' or
> `next-single-char-property-change'.
> 
> Later these text properties could be added to links in virtual nodes
> because this approach is more efficient and reliable.

What if the footnote style is set to 'Separate' in the Texinfo
sources?